org.apache.ignite.internal.processors.security.sandbox

## Class IgniteDomainCombiner

- java.lang.Object
- - org.apache.ignite.internal.processors.security.sandbox.IgniteDomainCombiner

All Implemented Interfaces:
  DomainCombiner

    public class IgniteDomainCombiner
    extends Object
    implements DomainCombiner

A `IgniteDomainCombiner` updates ProtectionDomains with passed `Permissions`.

### Constructor Summary

Constructors
Constructor and Description
`IgniteDomainCombiner(PermissionCollection perms)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ProtectionDomain[]` `combine(ProtectionDomain[] currDomains, ProtectionDomain[] assignedDomains)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteDomainCombiner

    public IgniteDomainCombiner(PermissionCollection perms)

### Method Detail

#### combine

    public ProtectionDomain[] combine(ProtectionDomain[] currDomains,
                                      ProtectionDomain[] assignedDomains)

Specified by:
  `combine` in interface `DomainCombiner`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020